WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Ghostscript dependency missing?  (Read 1849 times)

Offline ctor

  • Newbie
  • *
  • Posts: 17
Ghostscript dependency missing?
« on: March 31, 2021, 03:15:13 PM »
Hardware: pi zero (not W)
Raspberry Pi OS version: 13.0.3

ghostscript extension is missing p11-kit.tcz and nettle.tcz extension dependencies:

Code: [Select]
tc@box:~$ ldd /usr/local/bin/gs
        libtiff.so.5 => /usr/local/lib/libtiff.so.5 (0xb6f0d000)
        libcupsimage.so.2 => /usr/local/lib/libcupsimage.so.2 (0xb6ef6000)
        libcups.so.2 => /usr/local/lib/libcups.so.2 (0xb6e81000)
        libgnutls.so.30 => /usr/local/lib/libgnutls.so.30 (0xb6ce3000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb6cb9000)
        libm.so.6 => /lib/libm.so.6 (0xb6c4d000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0xb6c0e000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb6bf8000)
        libpng16.so.16 => /usr/local/lib/libpng16.so.16 (0xb6bc0000)
        libjpeg.so.62 => /usr/local/lib/libjpeg.so.62 (0xb6b7e000)
        liblcms2.so.2 => /usr/local/lib/liblcms2.so.2 (0xb6b2e000)
        libdl.so.2 => /lib/libdl.so.2 (0xb6b1b000)
        libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1 (0xb6ad8000)
        libfreetype.so.6 => /usr/local/lib/libfreetype.so.6 (0xb6a43000)
        libc.so.6 => /lib/libc.so.6 (0xb68fc000)
        liblzma.so.5 => /usr/local/lib/liblzma.so.5 (0xb68cf000)
        libavahi-common.so.3 => /usr/local/lib/libavahi-common.so.3 (0xb68b5000)
        libavahi-client.so.3 => /usr/local/lib/libavahi-client.so.3 (0xb6898000)
        /lib/ld-linux-armhf.so.3 (0xb6f82000)
        libp11-kit.so.0 => not found
        libffi.so.7 => /usr/lib/libffi.so.7 (0xb6880000)
        libidn2.so.0 => /usr/local/lib/libidn2.so.0 (0xb6853000)
        libunistring.so.2 => /usr/local/lib/libunistring.so.2 (0xb66d9000)
        libtasn1.so.6 => not found
        libnettle.so.7 => not found
        libhogweed.so.5 => not found
        libgmp.so.10 => /usr/local/lib/libgmp.so.10 (0xb666d000)
        libharfbuzz.so.0 => /usr/local/lib/libharfbuzz.so.0 (0xb65d3000)
        libglib-2.0.so.0 => /usr/local/lib/libglib-2.0.so.0 (0xb64d1000)
        libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb6454000)
        libbz2.so.1.0 => /usr/local/lib/libbz2.so.1.0 (0xb6435000)
        libgraphite2.so.3 => /usr/local/lib/libgraphite2.so.3 (0xb640c000)
        libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0xb63e0000)
        libuuid.so.1 => /lib/libuuid.so.1 (0xb63c9000)
        libssp.so.0 => /usr/lib/libssp.so.0 (0xb63b6000)
        libdbus-1.so.3 => /usr/local/lib/libdbus-1.so.3 (0xb6367000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb6338000)

Once I loaded those extensions, ghost script executable, gs, worked. For my specific case, I also need some fonts -- loaded dejavu-fonts-ttf.tcz and it was good-to-go.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11131
Re: Ghostscript dependency missing?
« Reply #1 on: March 31, 2021, 05:36:19 PM »
Hi ctor
... ghostscript extension is missing p11-kit.tcz and nettle.tcz extension dependencies: ...
Actually, it looks like  gnutls.tcz.dep  is missing  p11-kit.tcz  and  nettle.tcz.  The same version of  gnutls  is in TC11
and TC12 and their  .dep  files include those dependencies.  Fixed in the armv6 and armv7 repositories. The aarch64
repository was not effected.

Remove  p11-kit.tcz  and  nettle.tcz  from your  onboot.lst  if present.
Update your system:
Code: [Select]
tce-audit builddb
tce-audit updatedeps
tce-audit fetchmissing
tce-update

Then reboot.

The  ghostscript  extension should now have all dependencies present when loaded.

Thank you for reporting this.
« Last Edit: March 31, 2021, 05:39:47 PM by Rich »

Offline ctor

  • Newbie
  • *
  • Posts: 17
Re: Ghostscript dependency missing?
« Reply #2 on: April 01, 2021, 08:56:02 AM »
Rich,

I apologize. I forgot that ghostscript uses an older versions of libnettle and libhogweed libraries.
Once I updated my system, the issue reappeared.

The executable, gs, uses libnettle.so.7 and libhogweed.so.5.
The 13th piCore repository extension nettle.tcz contains libnettle.so.8 and libhogweed.so.6.

As a work around, I copied nettle.tcz from the 11th piCore repository. That worked.
I don't know where else nettle.tcz extension is used, so I don't know how it or if it should be fixed for piCore 13.0 specifically.

Rich, I want to thank you and the Tiny Core Linux team for the work you do.
TinyCore, dCore, and piCore are outstanding Linux distributions. Absolutely love their architecture and memory footprint.
Most of all, I appreciate the way this forum works and the people who run it.

Thank you.

regards,
ctor



Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11131
Re: Ghostscript dependency missing?
« Reply #3 on: April 01, 2021, 06:58:49 PM »
Hi ctor
I changed the  .dep  files back to the way I found them because I don't know what else it would break.
Both  p11-kit.tcz  and  nettle.tcz  were updated and removed from the  gnutls.tcz.dep  file in TC13.
According to the  gnutls.tcz.info  file it is unchanged since TC11, so I don't really understand what's going on.

Offline zach4tinycore

  • Newbie
  • *
  • Posts: 9
Re: Ghostscript dependency missing?
« Reply #4 on: May 02, 2021, 05:35:22 PM »
Thank you ctor! I've just jumped into Picore a port from Tiny Core.
I've had such difficulty getting freeRDP to work in version 13.0.3 Raspberry Pi 4.
Mostly was dependencies and learning how to use this port that is not as friendly as Tiny Core.
I followed your advice on getting libnettle from version 11 and then freeRDP worked!

I used wget http://repo.tinycorelinux.net/11.x/armv7l/tcz/ and copied the libnettle file from home to /mnt/mmcblk0p2/tce/optional.

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7183
    • My Community Forum
Re: Ghostscript dependency missing?
« Reply #5 on: May 02, 2021, 10:04:31 PM »

Mostly was dependencies and learning how to use this port that is not as friendly as Tiny Core.


What do you mean "not as friendly as Tiny Core"?
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline zach4tinycore

  • Newbie
  • *
  • Posts: 9
Re: Ghostscript dependency missing?
« Reply #6 on: May 03, 2021, 12:16:42 AM »
@bmarkus Imagine.. let's say I wanted to make a port of Ubuntu but I excluded 60% of the content. That's how I feel Picore is at. Way less packages than TC. So not as friendly in terms of harder to figure out workarounds.